#
# spec file for package kdepim4-runtime
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdepim4-runtime
Version:        4.14.10
Release:        5.2
Summary:        Base package of kdepim
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source0:        kdepim-runtime-%{version}.tar.xz
BuildRequires:  boost-devel >= 1.34.0
BuildRequires:  cyrus-sasl-devel
BuildRequires:  fdupes
BuildRequires:  libakonadiprotocolinternals-devel >= 1.11.80
BuildRequires:  libkde4-devel >= %{version}
BuildRequires:  libkdepimlibs4-devel >= %{version}
BuildRequires:  libkfbapi-devel >= 1.0
BuildRequires:  libkgapi-devel >= 1.9.81
BuildRequires:  libkolab-devel >= 0.5.0
BuildRequires:  libkolabxml-devel >= 1.0
BuildRequires:  libxslt-devel
BuildRequires:  shared-mime-info
BuildRequires:  xz
Suggests:       kontact
Requires(post):     shared-mime-info
Requires(postun):   shared-mime-info
Recommends:     baloo-pim >= %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_akonadi_requires
%kde4_pimlibs_requires
%kde4_runtime_requires

%description
This package contains the Akonadi files of the kdepim module.

%prep
%setup -q -n kdepim-runtime-%{version}

%build
%ifarch ppc64
RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  #remove menu entries of development tools
  %suse_update_desktop_file -u akonaditray      Network  Email
  %fdupes -s %{buildroot}
  # remove stuff we don't want to package
  rm %{buildroot}%{_kde4_libdir}/libakonadi*.so
  rm %{buildroot}%{_kde4_libdir}/libkmindexreader.so
  rm %{buildroot}%{_kde4_libdir}/libmaildir.so
  rm %{buildroot}%{_kde4_libdir}/libfolderarchivesettings.so
  rm %{buildroot}%{_kde4_libdir}/libkdepim-copy.so
  %kde_post_install

%post
/sbin/ldconfig
%{_kde4_bindir}/update-mime-database %{_kde4_datadir}/mime > /dev/null 2>&1 || :

%postun
/sbin/ldconfig
%{_kde4_bindir}/update-mime-database %{_kde4_datadir}/mime > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%doc COPYING*
%{_kde4_applicationsdir}/accountwizard.desktop
%{_kde4_applicationsdir}/akonaditray.desktop
%{_kde4_appsdir}/akonadi
%{_kde4_appsdir}/akonadi_facebook_resource/
%{_kde4_appsdir}/akonadi_kolabproxy_resource/
%{_kde4_appsdir}/akonadi_maildispatcher_agent/
%{_kde4_appsdir}/akonadi_newmailnotifier_agent/
%{_kde4_appsdir}/kconf_update/
%{_kde4_bindir}/*
%{_kde4_configdir}/*
%{_kde4_datadir}/akonadi
%{_kde4_datadir}/autostart/kaddressbookmigrator.desktop
%{_kde4_datadir}/dbus-1/interfaces/*
%{_kde4_datadir}/mime/packages/*.xml
%{_kde4_iconsdir}/hicolor/*/apps/*
%{_kde4_libdir}/libakonadi-filestore.so.4*
%{_kde4_libdir}/libfolderarchivesettings.so.4*
%{_kde4_libdir}/libkdepim-copy.so.4*
%{_kde4_libdir}/libkmindexreader.so.4*
%{_kde4_libdir}/libmaildir.so.4*
%{_kde4_modulesdir}/*
%{_kde4_servicetypesdir}/davgroupwareprovider.desktop
%{_kde4_sharedir}/services

%changelog
* Mon Jul  6 2015 tittiatcoke@gmail.com
- Update to 4.14.10
  * KDE Applications 15.04.3
  * https://www.kde.org/announcements/announce-applications-15.04.3.php
* Sat May 30 2015 tittiatcoke@gmail.com
- Update to 4.14.9
  * KDE Applications 15.04.2
  * https://www.kde.org/announcements/announce-applications-15.04.2.php
* Mon May 11 2015 tittiatcoke@gmail.com
- Update to 4.14.8
  * KDE Applications 15.04.1
  * https://www.kde.org/announcements/announce-applications-15.04.1.php
* Sat Apr 11 2015 tittiatcoke@gmail.com
- Update to 4.14.7
  * KDE Applications 15.04.0
  * See https://www.kde.org/announcements/announce-applications-15.04.0.php
* Tue Mar  3 2015 tittiatcoke@gmail.com
- Update to 4.14.6
  * KDE Applications 14.12.3
  * See https://www.kde.org/announcements/announce-applications-14.12.3.php
* Sun Feb  1 2015 tittiatcoke@gmail.com
- Update to 4.14.5
  * KDE Applications 14.12.2
  * See https://www.kde.org/announcements/announce-applications-14.12.2.php
* Mon Jan 12 2015 tittiatcoke@gmail.com
- Update to 4.14.4
  * KDE Applications 14.12.1
  * See https://www.kde.org/announcements/announce-applications-14.12.1.php
* Mon Nov 10 2014 Led <ledest@gmail.com>
- fix bashisms in post/postun scripts
* Sun Nov  9 2014 tittiatcoke@gmail.com
- Update to 4.14.3
  * KDE 4.14.3 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.3.php
* Sun Oct 12 2014 tittiatcoke@gmail.com
- Update to 4.14.2
  * KDE 4.14.2 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.2.php
- Drop upstream patches split_large_store_commands.patch and
  use_changeitemsflagstask.patch due to upstream inclusion
* Fri Oct  3 2014 tittiatcoke@gmail.com
- Add upstream patches split_large_store_commands.patch and
  use_changeitemsflagstask.patch to resolve issues when deleting
  several thousands of emails (bko#339565)
* Sat Sep 13 2014 tittiatcoke@gmail.com
- Update to 4.14.1
  * KDE 4.14.1 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.1.php
- Removed upstreamed patch detect-invalid-UIDNEXT.patch
* Wed Sep 10 2014 hrvoje.senjan@gmail.com
- Added detect-invalid-UIDNEXT.patch to resolve kde#338186
* Fri Aug 15 2014 tittiatcoke@gmail.com
- Update to 4.14.0
  * KDE 4.14.0 SC Final Release
  * See http://www.kde.org/announcements/4.14/
* Thu Jul 17 2014 cgiboudeaux@gmx.com
- Update to 4.13.90
  * KDE 4.14 Beta 2 release
  * See http://www.kde.org/announcements/announce-4.14-beta2.php
* Thu Jul 10 2014 cgiboudeaux@gmx.com
- Update to 4.13.80
  * KDE 4.14 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.14-beta1.php
* Sun Jun  8 2014 tittiatcoke@gmail.com
- Update to 4.13.2
  * KDE 4.13  release
  * See http://www.kde.org/announcements/announce-4.13.2.php
* Fri May  9 2014 tittiatcoke@gmail.com
- Update to 4.13.1
  * KDE 4.13.1  bug fix release
  * See http://www.kde.org/announcements/announce-4.13.1.php
- Drop patches due to upstream inclusion
  use_existing_notes.diff
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Added boost-devel >= 1.34.0, libakonadiprotocolinternals-devel >= 1.11.80,
  libkde4-devel >= %%{version}, libkolabxml-devel >= 1.0, libxslt-devel,
  and shared-mime-info BuildRequires
- Drop akonadi.png, correct icon is now provided upstream
- Don't install libkdepim-copy.so, kdepim4-runtime has no development
  components
- Recommend baloo-pim package
* Mon Apr 28 2014 tittiatcoke@gmail.com
- Add upstream patch use_existing_notes.diff to resolve the issue
  that after migration the old notes were not visible (bko#333640)
* Fri Apr 11 2014 tittiatcoke@gmail.com
- Update to 4.13.0
  * KDE 4.13  release
  * See http://www.kde.org/announcements/4.13/
* Thu Mar 27 2014 tittiatcoke@gmail.com
- Update to 4.12.97
  * KDE 4.13 RC  release
  * See http://www.kde.org/announcements/announce-4.13-rc.php
* Thu Mar 20 2014 tittiatcoke@gmail.com
- Update to 4.12.95
  * KDE 4.13 Beta 3  release
  * See http://www.kde.org/announcements/announce-4.13-beta3.php
* Thu Mar 13 2014 tittiatcoke@gmail.com
- Update to 4.12.90
  * KDE 4.13 Beta 2  release
  * See http://www.kde.org/announcements/announce-4.13-beta2.php
* Fri Mar  7 2014 tittiatcoke@gmail.com
- Update to 4.12.80
  * KDE 4.13 Beta 1  release
  * See http://www.kde.org/announcements/announce-4.13-beta1.php
* Sat Feb  1 2014 tittiatcoke@gmail.com
- Update to 4.12.2
  * KDE 4.12.2  release
  * See http://www.kde.org/announcements/announce-4.12.2.php
* Sat Jan 11 2014 tittiatcoke@gmail.com
- Update to 4.12.1
  * KDE 4.12.1  release
  * See http://www.kde.org/announcements/announce-4.12.1.php
* Sat Dec 14 2013 tittiatcoke@gmail.com
- Update to 4.12.0
  * KDE 4.12.0  release
  * See http://www.kde.org/announcements/4.12.php
* Fri Nov 29 2013 tittiatcoke@gmail.com
- Update to 4.11.97
  * KDE 4.12 RC 1 release
  * See http://www.kde.org/announcements/announce-4.12-rc.php
* Sat Nov 23 2013 tittiatcoke@gmail.com
- Update to 4.11.95
  * KDE 4.12 Beta 3 release
  * See http://www.kde.org/announcements/announce-4.12-beta3.php
* Sat Nov 16 2013 tittiatcoke@gmail.com
- Update to 4.11.90
  * KDE 4.12 Beta 2 release
  * See http://www.kde.org/announcements/announce-4.12-beta2.php
* Sat Nov  9 2013 tittiatcoke@gmail.com
- Update to 4.11.80
  * KDE 4.12 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.12-beta1.php
- Droped disable-knut.diff, knut is no longer part of kdepim-runtime
* Sat Nov  2 2013 tittiatcoke@gmail.com
- Update to 4.11.3
  * KDE 4.11.3 bugfix release
  * See http://www.kde.org/announcements/announce-4.11.3.php
- Drop 0001-Don-t-bother-IMAP-servers-with-not-supported-flags.patch
  and 0002-Disconnect-session-pool-manually-in-ImapResource-des.patch,
  they are included in this release
* Thu Oct  3 2013 hrvoje.senjan@gmail.com
- Added two patches from upstream:
  0001-Don-t-bother-IMAP-servers-with-not-supported-flags.patch (kde#278082)
  0002-Disconnect-session-pool-manually-in-ImapResource-des.patch (kde#325443)
* Sat Sep 28 2013 tittiatcoke@gmail.com
- Update to 4.11.2
  * KDE 4.11.2 bugfix release
  * See http://www.kde.org/announcements/announce-4.11.2.php
* Sun Sep  1 2013 tittiatcoke@gmail.com
- Update to 4.11.1
  * KDE 4.11.1 bugfix release
  * See http://www.kde.org/announcements/announce-4.11.1.php
* Thu Aug  8 2013 tittiatcoke@gmail.com
- Update to 4.11.0
  * KDE 4.11 Final release
  * See http://www.kde.org/announcements/4.11/
* Thu Jul 25 2013 hrvoje.senjan@gmail.com
- Update to 4.10.97
  * KDE 4.11 RC 2 release
  * See http://www.kde.org/announcements/announce-4.11-rc2.php
- Dropped revert-53f531d54.diff, included in this release
* Tue Jul 23 2013 hrvoje.senjan@gmail.com
- Added revert-53f531d54.diff, fixes regression in maildir handling
* Mon Jul 15 2013 cgiboudeaux@gmx.com
- Update to 4.10.95
  * KDE 4.11 RC 1 release
  * See http://www.kde.org/announcements/announce-4.11-rc1.php
* Fri Jun 28 2013 hrvoje.senjan@gmail.com
- Added libkfbapi-devel for enabling Facebook resource support
* Thu Jun 27 2013 tittiatcoke@gmail.com
- Update to 4.10.90
  * KDE 4.11 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.11-beta2.php
* Thu Jun 13 2013 tittiatcoke@gmail.com
- Update to 4.10.80
  * KDE 4.11 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.11-beta1.php
- Dropped buildfix-qjson_0_8_0.diff, not needed with this release
* Sat Jun  1 2013 tittiatcoke@gmail.com
- Update to 4.10.4
  * Bugfix release
  * See http://www.kde.org/announcements/announce-4.10.4.php
  * resolves bnc#8122760
* Sat May  4 2013 tittiatcoke@gmail.com
- Update to 4.10.3
  * Bugfix release
  * See http://www.kde.org/announcements/announce-4.10.3.php
  * resolves bnc#818500
* Mon Apr  1 2013 tittiatcoke@gmail.com
- Update to 4.10.2 \n  * Bugfixes
- Removed kdepim4-runtime_add_owncloud5_servicefile.diff patch as
  it was included upstream
* Mon Mar 25 2013 stefan.bruens@rwth-aachen.de
- update Caldav/Carddav service file for owncloud5
  fixes kde#314711, picked from upstream
* Sat Mar  2 2013 tittiatcoke@gmail.com
- Update to 4.10.1
  * Contains bug fixes. See http://www.kde.org/announcements/
  for more information
* Thu Jan 31 2013 tittiatcoke@gmail.com
- Update to 4.10.0
  * This is the final release for 4.10. Contains bugfixes
* Thu Jan 17 2013 tittiatcoke@gmail.com
- Update to 4.9.98
  * This is the third RC release for 4.10. Contains bugfixes
* Thu Jan  3 2013 tittiatcoke@gmail.com
- Update to 4.9.97
  * This is the second RC release for 4.10. Contains bugfixes
* Wed Dec 19 2012 tittiatcoke@gmail.com
- Update to 4.9.95
  * This is the first RC release for 4.10. Contains bugfixes
* Sat Dec  1 2012 tittiatcoke@gmail.com
- Update to 4.9.90
  * This is the second Beta release for 4.10. Contains bugfixes
* Sun Nov 25 2012 cgiboudeaux@gmx.com
- Add buildfix-qjson_0_8_0.diff. Fixes build with QJson 0.8.0
* Sun Nov 25 2012 tittiatcoke@gmail.com
- Drop patch 4_8_branch.diff as it is not used at all
* Sat Nov 24 2012 tittiatcoke@gmail.com
- Update to 4.9.80
  * See http://www.kde.org/announcements/announce-4.10-beta1.php
* Fri Nov  2 2012 tittiatcoke@gmail.com
- Update to 4.9.3
  * see http://kde.org/announcements/announce-4.9.3.php for details
* Sat Sep 29 2012 tittiatcoke@gmail.com
- Update to 4.9.2
  * see http://kde.org/announcements/announce-4.9.2.php for details
* Tue Sep 11 2012 cgiboudeaux@gmx.com
- Add a provides/obsoletes entry for akonadi-google.
  This resource is part of kdepim-runtime since 4.9
- Add BuildRequires: libkgapi-devel and libkolab-devel to build
  more Akonadi resources
* Wed Sep  5 2012 dmueller@suse.com
- update to 4.9.1
  * see http://kde.org/announcements/4.9.1/ for details
* Mon Jul 30 2012 dmueller@suse.com
- update to 4.8.5
  * see http://kde.org/announcements/changelogs/changelog4_8_4to4_8_5.php for details
* Fri Jun  1 2012 dmueller@suse.com
- update to 4.8.4
  * see http://kde.org/announcements/changelogs/changelog4_8_3to4_8_4.php for details
* Sun Apr 29 2012 dmueller@suse.com
- update to 4.8.3
  * see http://kde.org/announcements/changelogs/changelog4_8_2to4_8_3.php for details
* Sat Apr 14 2012 dmueller@suse.com
- fix build dependency on kdepimlibs
* Mon Apr  2 2012 wstephenson@suse.com
- Fix kde#297039 - KAlarm/Kontact crash
* Sat Mar 31 2012 wstephenson@suse.com
- Add xz to BuildRequires
* Thu Mar 29 2012 dmueller@suse.de
- update to 4.8.2
  * see http://kde.org/announcements/changelogs/changelog4_8_1to4_8_2.php for details
* Fri Mar  2 2012 dmueller@suse.de
- update to 4.8.1
  * see http://kde.org/announcements/changelogs/changelog4_8_0to4_8_1.php for details
* Sun Feb 19 2012 graham@andtech.eu
- Add trueg's patch to fix virtuoso cpu thrashing and generally
  make the indexing feeders behave better.
  * see https://bugs.kde.org/show_bug.cgi?id=289932
* Wed Jan 18 2012 dmueller@suse.de
- update to 4.8.0
  * first stable release of KDE 4.8 (only critical fixes over 4.7.98)
  * see http://kde.org/announcements/4.8/ for details
* Tue Jan 10 2012 dmueller@suse.de
- update to 4.7.98
  * RC2+ milestone release of KDE 4.8
  * see http://kde.org/announcements/4.8/ for details
- rename 4_7_BRANCH.diff to 4_8_BRANCH.diff
- remove upstreamed patches
* Wed Dec  7 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Dec  2 2011 idoenmez@suse.de
- Make sure Kmail removes Bcc header befor sending mail,
  kde#263587
* Fri Dec  2 2011 dmueller@suse.de
- update to 4.7.4
  * see http://kde.org/announcements/changelogs/changelog4_7_3to4_7_4.php for details
* Wed Nov  2 2011 dmueller@suse.de
- update to 4.7.3
  * see http://kde.org/announcements/changelogs/changelog4_7_2to4_7_3.php for details
* Wed Oct 19 2011 wstephenson@suse.com
- Add 4.7 branch diff
- Remove localfolderscollectionmigrator.diff, in branch diff
* Mon Oct 10 2011 javier@opensuse.org
- Add patch to avoid duplicate messages during migration from kmail1
  (bko #283467)
* Sun Oct  2 2011 dmueller@suse.de
- update to 4.7.2
  * see http://kde.org/announcements/changelogs/changelog4_7_1to4_7_2.php for details
* Wed Sep 21 2011 ctrippe@opensuse.org
- Fix mail loss when downloading from pop3 accounts (kde#279297)
* Thu Sep  1 2011 dmueller@suse.de
- update to 4.7.1
  * Bugfixes over KDE 4.7.0
  * see http://kde.org/announcements/changelogs/changelog4_7_0to4_7_1.php for details
* Fri Aug 26 2011 toddrme2178@gmail.com
- Added missing %%kde4_akonadi_requires and %%kde4_pimlibs_requires
  macros (fix for RPMLINT warning)
- Removed redundant buildrequires
- Cleaned up spec file formatting
* Fri Jul 22 2011 dmueller@suse.de
- update to 4.7.0
  * Small fixes over KDE 4.7 RC2
  * see http://kde.org/announcements/4.7 for details
* Thu Jul 21 2011 idonmez@novell.com
- Update to 4.6.95
* Thu Apr 21 2011 javier@opensuse.org
- Update to 4.4.11.1
  * Bugfixes over 4.4.10
* Sat Apr  9 2011 wstephenson@novell.com
- Add fixes from kdepim 4.4 branch:
  * Turn Nepomuk disabled warning into a KNotification
* Thu Feb 17 2011 wstephenson@novell.com
- call update-mime-database in pre/post install scripts
* Thu Jan 27 2011 cgiboudeaux@gmail.com
- Update to 4.4.10:
  * Bugfixes over 4.4.9
  * remove obsolete entries the spec file
* Wed Dec 22 2010 dmueller@suse.de
- update to 4.4.9:
  * Compatibility fixes with KDE 4.6 RC1
* Thu Dec 16 2010 wstephenson@novell.com
- Revert to 4.4.8 for stability
* Wed Dec  8 2010 wstephenson@novell.com
- update to 4.5.85
  * KDE 4.6 Beta2
* Sat Nov 27 2010 aj@suse.de
- Add patch from svn to fix migration (bko#257885).
* Mon Nov 22 2010 tittiatcoke@gmail.com
- update to 4.5.80
  * KDE 4.6 Beta1
  * no upstream changelog available.
* Fri Oct 22 2010 javier@opensuse.org
- Update to 4.4.7
  * Bugfixes http://www.kdedevelopers.org/node/4344
* Fri Sep 10 2010 javier@opensuse.org
- update to 4.4.6
  * bugfixes over 4.4.5
* Wed Jul  7 2010 dmueller@suse.de
- update to 4.4.5
  * bugfixes over 4.4.4
  * see http://kde.org/announcements/changelogs/changelog4_4_4to4_4_5.php for details
* Fri Jun 18 2010 dmueller@suse.de
- update to 4.4.4
  * bugfixes over 4.4.3
  * see http://kde.org/announcements/changelogs/changelog4_4_3to4_4_ 4.php for details
  * for most modules only version number as a change (4_4_BRANCH.diff already contained the diff
* Tue Jun 15 2010 wstephenson@novell.com
- update 4_4_BRANCH.diff:
  * Contacts Akonadi resource fixes:
  * Moving contacts across 'vcard directory' resources does not
    move files (bko#237626)
  * Synchronise cache with vcard files on startup in case files
    were changed while resource was not running (bko#237127)
* Tue May 25 2010 dmueller@suse.de
- remove extra -devel dependencies
* Mon May 17 2010 llunak@novell.com
- update 4_4_BRANCH.diff: various fixes, translation updates
* Thu Apr 29 2010 dmueller@suse.de
- update to 4.4.3
  * bugfixes over 4.4.2
  * see http://kde.org/announcements/changelogs/changelog4_4_2to4_4_3.php for details
* Fri Mar 26 2010 dmueller@suse.de
- update to 4.4.2
  * bugfixes over 4.4.1
  * see http://kde.org/announcements/changelogs/changelog4_4_1to4_4_2.php for details
* Fri Feb 26 2010 dmueller@suse.de
- update to 4.4.1
  * bugfixes over 4.4.0
  * see http://kde.org/announcements/changelogs/changelog4_4_0to4_4_1.php for details
* Thu Feb  4 2010 dmueller@suse.de
- update to 4.4.0
  * Critical bugfixes only over 4.3.98
  * see http://www.kde.org/announcements/4.4/ for general overview
* Sun Jan 31 2010 dmueller@suse.de
- update to 4.3.98
  * see http://www.kde.org/announcements/announce-4.4-rc3.php for details
* Wed Jan 20 2010 dmueller@suse.de
- update to 4.3.95
  * see http://www.kde.org/announcements/announce-4.4-rc2.php for details
* Wed Jan  6 2010 dmueller@suse.de
- update to 4.3.90
* Fri Dec 18 2009 dmueller@suse.de
- update to 4.3.85
  * see http://www.kde.org/announcements/announce-4.4-beta2.php for details
* Fri Dec  4 2009 dmueller@suse.de
- update to 4.3.80:
  * see http://techbase.kde.org/Schedules/KDE4/4.4_Feature_Plan
* Mon Nov  2 2009 dmueller@suse.de
- update to 4.3.3
  * see http://kde.org/announcements/changelogs/changelog4_3_2to4_3_3.php for details
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: updated translations
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Tue Aug 11 2009 beineri@opensuse.org
- fix dependencies of -devel package
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Wed Jul  8 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jul  1 2009 beineri@opensuse.org
- provide/obsolete kde4-akonadi[-devel]
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Thu Jun 18 2009 dmueller@suse.de
- update to 4.2.92svn983303
* Wed Jun 17 2009 dmueller@suse.de
- update to 4.2.92svn983249
* Tue Jun  9 2009 dmueller@suse.de
- update to 4.2.91svn979380
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.89svn977047
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu May  7 2009 beineri@opensuse.org
- allow user to reply to mails in the sent-mail folder (kde#190105)
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Sat Apr  4 2009 coolo@suse.de
- refresh all patches to fix build
* Thu Mar 26 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Sun Mar 15 2009 coolo@suse.de
- update branch diff - some kmail fixes
* Mon Mar  9 2009 dmueller@suse.de
- move akonadiconsole to kde4-akonadi
* Fri Mar  6 2009 coolo@suse.de
- filelist/devel does not exist and isn't used
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Wed Feb 18 2009 dmueller@suse.de
- update branch diff
* Fri Feb  6 2009 stbinner@suse.de
- update branch diff: misc Akregator, KMail & KOrganizer fixes
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Sat Jan 10 2009 dmueller@suse.de
- update to KDE 4.1.87 (KDE 4.2 Januar snapshot)
* Thu Dec 18 2008 dmueller@suse.de
- fix knode wrapping (kde#167996)
* Tue Dec 16 2008 wstephenson@suse.de
- Various critical fixes from 4.1 branch:
  * Fix mail loss on rebuild dimap cache (Kolab/issue3196)
  * Fix mail duplication on online imap filtering (kde#95064)
  * Fix mail loss when filtering POP mail and /tmp is full
  * Fix crash on changing quote indicator (kde#174268)
  * Fix crash on parsing procmail file (kde#173964)
  * Fix crash on filtering online imap
* Tue Dec 16 2008 stbinner@suse.de
- versionized split-provides are not supported
* Fri Dec 12 2008 wstephenson@suse.de
- Don't install namelink .so's for private shared libs (bnc#420162)
  Fixes KDE3 kmail startup when kdepim4-devel is installed
* Fri Dec  5 2008 wstephenson@suse.de
- Fix korganizer/kontact showing UTC datetimes instead of localtime
  (bnc#441022)
* Thu Dec  4 2008 wstephenson@suse.de
- add warning to the Akonadi kresources (bnc#439412)
* Thu Nov 20 2008 stbinner@suse.de
- add SLE provides/obsoletes
* Tue Nov 11 2008 dmueller@suse.de
- move akonadi kcal/kabc support into kde4-akonadi subpackage
* Sat Nov  1 2008 dmueller@suse.de
- modularize akonadi deps (bnc#439095)
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Thu Oct 23 2008 stbinner@suse.de
- remove akonadiconsole and akonaditray menu entries
* Tue Oct 21 2008 stbinner@suse.de
- update branch diff: akregator and kmail bug fix backports
* Fri Oct 17 2008 stbinner@suse.de
- enable KNode Kontact plugin by default (bnc#432332)
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Mon Sep  8 2008 stbinner@suse.de
- update branch diff
* Tue Sep  2 2008 dmueller@suse.de
- update to final 4.1.1 tarball
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Wed Aug 20 2008 stbinner@suse.de
- fix splitting fix
* Mon Aug 18 2008 stbinner@suse.de
- fix split of kjots and ktimetracker Kontact plugins (bnc#412480)
* Sat Aug 16 2008 stbinner@suse.de
- branch diff update
* Thu Jul 31 2008 dmueller@suse.de
- branch diff update
* Thu Jul 24 2008 wstephenson@suse.de
- Fix IMAP groupware functionality (bnc#398286)
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
  * korn removed (disabled upstream)
* Wed Jul 23 2008 stbinner@suse.de
- fix build
* Sat Jul 19 2008 wstephenson@suse.de
- Fix quoted mail text missing in replies/forwards (kde#166728)
* Fri Jul 18 2008 wstephenson@suse.de
- Fix POP3 mail not retained on server by KMail
  (bnc#408686,kde#151308)
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Thu Jul 17 2008 wstephenson@suse.de
- Change module-internal dependencies of split packages to
  'version-equals' instead of 'equals or greater than'
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Thu Jul  3 2008 dmueller@suse.de
- update to 4.0.85
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 25 2008 wstephenson@suse.de
- Fix missing Kontact plugins (bnc#398807)
* Tue Jun 24 2008 dmueller@suse.de
- update to 4.1 beta2
* Sat Jun 14 2008 schwab@suse.de
- Use -mminimal-toc on ppc64.
* Wed Jun 11 2008 dmueller@suse.de
- remove kpilot/kmobiletools packages
* Fri Jun  6 2008 wstephenson@suse.de
- Remove kpilot and kmobiletools dependency as these are not part
  of KDE 4.1
- Disable Kontact planner plugin, not part of KDE 4.1
* Tue Jun  3 2008 stbinner@suse.de
- don't install /usr/share/applications/kde4/kcontactmanager.desktop
* Thu May 29 2008 wstephenson@suse.de
- Move Kontact plugins' desktop files to subpackages (bnc#389141)
* Mon May 26 2008 wstephenson@suse.de
- Add versioning to libkleopatra libraries (bnc#391350)
* Thu May 22 2008 wstephenson@suse.de
- Update to kdepim 4.1beta1
  * Fix kontact view switch sidepane fills entire window (bnc#389141)
* Sat May 17 2008 wstephenson@suse.de
- Exclude akonadi resources, not yet production ready
* Fri May 16 2008 wstephenson@suse.de
- weather plugin is disabled upstream now, remove our patch
* Thu May 15 2008 dmueller@suse.de
- update to 4.0.74
* Fri May  9 2008 llunak@suse.cz
- use the backported kdelibs4.1 functionality for spellchecking
* Fri May  9 2008 wstephenson@suse.de
- update branch diff for mbox fix
* Fri May  9 2008 dmueller@suse.de
- add missing devel package requires
* Thu May  8 2008 wstephenson@suse.de
- Fix invalid return type in KTimeTracker
* Wed May  7 2008 dmueller@suse.de
- update to 4.0.73
* Wed Apr 30 2008 dmueller@suse.de
- update to 4.0.72
* Thu Apr 24 2008 wstephenson@suse.de
- Adapt to new Akonadi location, update to 4.0.71
* Tue Apr 22 2008 wstephenson@suse.de
- remove weather kontact plugin - kweather is broken
* Mon Apr 21 2008 dmueller@suse.de
- remove plasmabiff (doesn't build against KDE 4.0 anymore)
* Fri Apr 18 2008 dmueller@suse.de
- update to 4.0.70
* Tue Apr 15 2008 coolo@suse.de
- give akonadi %%post a ldconfig
* Tue Apr 15 2008 coolo@suse.de
- work around build problem
* Mon Apr 14 2008 wstephenson@suse.de
- Remove private libraries' link-edit .so files, nobody builds
  vs them and they break kdepim3 apps as ld.so tries to link them
* Mon Apr 14 2008 dmueller@suse.de
- fix build once again, fix packaging errors
* Mon Apr 14 2008 dmueller@suse.de
- fix build once again, fix packaging errors
* Sat Apr 12 2008 dmueller@suse.de
- update to 4.0.69:
  * fixes almost build (finally)
  * no changelog available
* Fri Apr 11 2008 stbinner@suse.de
- fix file globbing
* Wed Apr  2 2008 dmueller@suse.de
- update to 4.0.68
* Tue Mar 25 2008 dmueller@suse.de
- update to 4.0.67
* Thu Mar 13 2008 dmueller@suse.de
- update to 4.0.66
* Thu Mar 13 2008 stbinner@suse.de
- fix file conflict
* Tue Mar 11 2008 dmueller@suse.de
- disable nepomuk stuff for 4.0
* Mon Mar 10 2008 dmueller@suse.de
- update to 4.0.65
* Thu Feb 21 2008 dmueller@suse.de
- update to 4.0.63
* Thu Feb 14 2008 dmueller@suse.de
- update to 4.0.62
* Thu Feb  7 2008 dmueller@suse.de
- update to 4.0.61
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Thu Nov 22 2007 stbinner@suse.de
- fix file conflicts
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Wed Nov  7 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Fri Oct 26 2007 dmueller@suse.de
- update to KDE 4.0 Beta4
* Sat Oct 20 2007 dmueller@suse.de
- update to 3.94.1
* Thu Oct 18 2007 ro@suse.de
- fix build
  - add category for kcontactmanager.desktop
  - add directory to filelist
* Mon Oct  8 2007 dmueller@suse.de
- update to KDE 4.0 Beta 3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720115
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717255
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712059
* Thu Aug 30 2007 dmueller@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703914
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700937
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697324
* Tue Aug  7 2007 wstephenson@suse.de
- Resolve file conflict between kdepim4 and kdepim4-knotes
* Mon Aug  6 2007 wstephenson@suse.de
- remove kitchensync temporarily, not compatible with our
  libopensync
* Sun Jul 29 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn672299
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn679144, run fdupes
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Mon Jun  4 2007 stbinner@suse.de
- fix build
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668119
* Thu May 24 2007 stbinner@suse.de
- initial package in abuild
